extends ../layout

block content

    a(href="/reports") Главная

    h4= name
    form(action='/reports/add', method="post" id="reportForm")
        if reportParams.regions
            div
                p Выберите город: 
                    select(name="region" form="reportForm")
                        option(value="general") Общий
                        option(value="tver") Тверь
        div
            p Введите диапазон дат:
                p от: 
                    input(type="text" name="startDate" value=`${reportParams.defStartDate}`)
                p до: 
                    input(type="text" name="finishDate" value=`${reportParams.defFinishDate}`)
        if reportParams.timeFlag
            div
                p Введите диапазон времени:
                    p от: 
                        input(type="text" name="startTime" value=`${reportParams.defStartTime}`)
                    p до: 
                        input(type="text" name="finishTime" value=`${reportParams.defFinishTime}`)
  
        input(type="hidden", name="reportName" value=`${path}`)
        input(type="hidden", name="client_id" value=`${client_id}`)

        input(type="submit" value="сформировать отчет")

    if(errMessage)
        h4= errMessage

    br
    
    form( method="get" id="tableReports")
        input(type="submit" value="обновить список отчетов")
    br
    if reportsViews
        div#reportsConatiner
            table#reportTable 
                tbody   
                each report in reportsViews
                    tr
                        if report.isReady
                            td
                                a(href=report.downloadLink)=report.name
                        else
                            td=report.name
                        td=report.message
